Package org.eclipse.gef.zest.fx.policies

## Class HidePolicy.ClearHoverHandlesOperation

- java.lang.Object
- - org.eclipse.core.commands.operations.AbstractOperation
  - - org.eclipse.gef.zest.fx.policies.HidePolicy.ClearHoverHandlesOperation

All Implemented Interfaces:
  `IUndoableOperation`, `ITransactionalOperation`

Enclosing class:
  HidePolicy

    public class HidePolicy.ClearHoverHandlesOperation
    extends AbstractOperation
    implements ITransactionalOperation

Clears the hover handles for the given part upon execution of this operation.

### Constructor Summary

Constructors
`ClearHoverHandlesOperation​(IContentPart<? extends javafx.scene.Node> part)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IStatus` `execute​(IProgressMonitor monitor, IAdaptable info)`
`boolean` `isContentRelevant()`
`boolean` `isNoOp()`
`IStatus` `redo​(IProgressMonitor monitor, IAdaptable info)`
`IStatus` `undo​(IProgressMonitor monitor, IAdaptable info)`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext`

### Constructor Detail

#### ClearHoverHandlesOperation

    public ClearHoverHandlesOperation​(IContentPart<? extends javafx.scene.Node> part)

Parameters:
  `part` - The part for which to clear the hover handles.

### Method Detail

#### execute

    public IStatus execute​(IProgressMonitor monitor,
                           IAdaptable info)
                    throws ExecutionException

Specified by:
  `execute` in interface `IUndoableOperation`
Specified by:
  `execute` in class `AbstractOperation`
Throws:
  `ExecutionException`

#### isContentRelevant

    public boolean isContentRelevant()

Specified by:
  `isContentRelevant` in interface `ITransactionalOperation`

#### isNoOp

    public boolean isNoOp()

Specified by:
  `isNoOp` in interface `ITransactionalOperation`

#### redo

    public IStatus redo​(IProgressMonitor monitor,
                        IAdaptable info)
                 throws ExecutionException

Specified by:
  `redo` in interface `IUndoableOperation`
Specified by:
  `redo` in class `AbstractOperation`
Throws:
  `ExecutionException`

#### undo

    public IStatus undo​(IProgressMonitor monitor,
                        IAdaptable info)
                 throws ExecutionException

Specified by:
  `undo` in interface `IUndoableOperation`
Specified by:
  `undo` in class `AbstractOperation`
Throws:
  `ExecutionException`